Subject: RE: question on E-LSPs, draft-ietf-mpls-diff-ext-02

From: Shahram Davari <[email-masked]>
Date: Mon, 15 Nov 1999 13:53:43 -0800

Hi Mark,

Please see comments.

> -----Original Message-----
> From: Mark Duffy [mailto:[email-masked]]
> Sent: Sunday, November 14, 1999 8:42 PM
> To: [email-masked]; [email-masked]; [email-masked];
> [email-masked]; [email-masked]; 
> [email-masked];
> [email-masked]; [email-masked]
> Cc: [email-masked]
> Subject: question on E-LSPs, draft-ietf-mpls-diff-ext-02
> 
> 
> Hi,
> 
> This is a question for the authors of draft-ietf-mpls-diff-ext-02.txt,
> regarding E-LSPs.
> 
> I'm trying to understand the intended operation with more 
> than one E-LSP
> for a given FEC.  Section 1.4 states there may be "zero or 
> any number of
> E-LSPs".  When there are more than one, are they constrained 
> to each carry
> the same set of (8 or fewer) PHBs?

The answer is that they should all carry a subset of the same set of (8 or
fewer) PHBs. The benefit of doing so is that you don't need any Diffserv
specific signaling and still you are able to do independent traffic
engineering for each subset. 

> 
> Section 2.3 states that the same PHB<-->EXP mapping must apply to all
> E-LSPs on the LSR, which pretty much requires that the answer 
> to the above
> question must be yes.  Also, the definition of E-LSPs states 
> that the PHB
> is totally encoded in the EXP field, which also implies that 
> all E-LSPs
> must have the same PHB<-->EXP mapping.

Correct. The same PHB <--> EXP mapping should apply to all E-LSPs.

> 
> However, section 2.2.4, second list item, implies that when there *is*
> Local Policy and Traffic Conditioning, the outgoing label depends on
> something else besides the incoming label, presumably the 
> PHB.  Does this
> imply another E-LSP with a different set or PHBs?  Or does 
> this relate to
> changing the packet's PHB to one that is carried on an L-LSP?

No. The outgoing PHB depends on incoming PHB and some optional local policy.
Therefore the outgoing label depends on incoming label and some optional
local policy. In this process PHB <--> EXP mapping is the same for incoming
and ougoing E-LSPs.

>  Also, in
> section 1.2, the first two benefits listed for E-LSPs also 
> seem to imply
> that more than 8 BAs per FEC may be obtained by using 
> multiple E-LSPs.  Or
> again is that referring to using L-LSPs if there are more than 8 BAs?
> 
> Thanks,
> Mark Duffy
> 
>

I think this section needs rewording to clarify that you can't have more
than 8 BAs in an E-LSP system, even if you use multiple E-LSPs.

Regards,
Shahram